Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlSupport

    java.lang.Object
      biouml.plugins.sbml.SbmlConstants
          biouml.plugins.sbml.SbmlSupport

Direct Known Subclasses:
  SbmlModelReader, SbmlModelWriter

public class SbmlSupport
extends SbmlConstants

Field Summary
`protected Diagram` | `diagram`
`protected EModel` | `emodel`
`protected org.apache.log4j.Category` | `log`
`protected java.lang.String` | `modelName`

Fields inherited from class biouml.plugins.sbml.SbmlConstants
`ANNOTATION_ELEMENT, ASSIGNEMENT_ELEMENT, ASSIGNEMENT_LIST_ELEMENT, ASSIGNEMENT_VARIABLE_ATTR, BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIE_INFO_ELEMENT, BIOUML_SPECIE_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPARTMENT_ATTR, COMPARTMENT_DIMENTION_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_LIST_ELEMENT, COMPARTMENT_OUTSIDE_ATTR, COMPARTMENT_VOLUME_ATTR, CONSTANT_ATTR, DELAY_ELEMENT, DENOMINATOR_ATTR, EVENT_ELEMENT, EVENT_LIST_ELEMENT, FORMULA_ATTR, FUNCTION_DEFINITION_ELEMENT, FUNCTION_LIST_ELEMENT, ID_ATTR, KINETIC_LAW_ELEMENT, MATH_ATTR, MATH_ELEMENT, MODEL_ELEMENT, MODIFIER_LIST_ELEMENT, NAME_ATTR, NOTES_ELEMENT, PARAMETER_ELEMENT, PARAMETER_LIST_ELEMENT, PARAMETER_VALUE_ATTR, PRODUCT_LIST_ELEMENT, PRODUCT_STUB, REACTANT_LIST_ELEMENT, REACTANT_STUB, REACTION_ELEMENT, REACTION_FAST_ATTR, REACTION_LIST_ELEMENT, REACTION_REVERSIBLE_ATTR, RULE_ALGEBRAIC_ELEMENT, RULE_ASSIGNEMENT_ELEMENT, RULE_COMMENT_ATTR, RULE_COMPARTMENT_VOLUME_ELEMENT, RULE_FORMULA_ATTR, RULE_LIST_ELEMENT, RULE_PARAMETER_ELEMENT, RULE_RATE_ELEMENT, RULE_SPECIE_CONCENTRATION_ELEMENT, RULE_VARIABLE_ATTR, SBML_ELEMENT, SBML_LEVEL_ATTR, SBML_LEVEL_VALUE_1, SBML_LEVEL_VALUE_2, SBML_VERSION_ATTR, SBML_VERSION_VALUE_1, SBML_VERSION_VALUE_2, SBML_XMLNS_VALUE, SPECIE_ATTR, SPECIE_ATTR_11, SPECIE_BOUNDARY_CONDITION_ATTR, SPECIE_CHARGE_ATTR, SPECIE_DEFAULT_SUBSTANCE_UNITS, SPECIE_ELEMENT, SPECIE_ELEMENT_11, SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR, SPECIE_INITIAL_AMOUNT_ATTR, SPECIE_INITIAL_CONCENTRATION_ATTR, SPECIE_LIST_ELEMENT, SPECIE_REFERENCE_ELEMENT, SPECIE_REFERENCE_ELEMENT_11, SPECIE_SPATIAL_SIZE_UNITS_ATTR, SPECIE_SUBSTANCE_UNITS_ATTR, STOICHIOMETRY_ATTR, STOICHIOMETRY_MATH_ELEMENT, SUBSTANCE_UNITS_ATTR, TIME_UNITS_ATTR, TRIGGER_ELEMENT, TYPE_ATTR, UNIT_LIST_ELEMENT, UNIT_SUBSTANCE, UNIT_TIME, UNIT_VOLUME, UNITS_ATTR, XMLNS_ATTR`

Constructor Summary
`SbmlSupport()`

Method Summary
`protected void` | `error(java.lang.String key, java.lang.String[] params)`
`org.w3c.dom.Element` | `getElement(org.w3c.dom.Element element, java.lang.String childName)`
`protected boolean` | `parseAsCompartment(java.lang.String token, java.lang.StringBuffer result)`
`protected boolean` | `parseAsParameter(java.lang.String token, java.lang.StringBuffer result, Node reaction)`
`protected boolean` | `parseAsSpecie(java.lang.String token, java.lang.StringBuffer result)`
`java.lang.String` | `parseFormula(java.lang.String formula, Node reaction)` General template to cinvert SBML formula into BioUML formula.
`java.lang.String` | `readXhtml(org.w3c.dom.Element element)` Reads html section and returns its content as a single string.
`protected void` | `warn(java.lang.String key, java.lang.String[] params)`
`void` | `writeXhtml(org.w3c.dom.Document document, org.w3c.dom.Element element, java.lang.String notes)`

Methods inherited from class biouml.plugins.sbml.SbmlConstants
`DEFAULT_SPATIAL_SIZE_UNITS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.log4j.Category log

### modelName

    protected java.lang.String modelName

### diagram

    protected Diagram diagram

### emodel

    protected EModel emodel

Constructor Detail

### SbmlSupport

    public SbmlSupport()

Method Detail

### warn

    protected void warn(java.lang.String key,
                        java.lang.String[] params)

### error

    protected void error(java.lang.String key,
                         java.lang.String[] params)

### getElement

    public org.w3c.dom.Element getElement(org.w3c.dom.Element element,
                                          java.lang.String childName)

### readXhtml

    public java.lang.String readXhtml(org.w3c.dom.Element element)

  Reads html
  section and returns its content as a single string. For apache.crimson we can get the content as:

       String html = element.toString();

  but it does not works for apache.xerces. Thus we impliment an approach that has not any assumptions and should work for all XML DOM parsers.

### writeXhtml

    public void writeXhtml(org.w3c.dom.Document document,
                           org.w3c.dom.Element element,
                           java.lang.String notes)

### parseFormula

    public java.lang.String parseFormula(java.lang.String formula,
                                         Node reaction)

  General template to cinvert SBML formula into BioUML formula. Convertion rules are specified by corresponding procedures that are redefiened in subclasses: 1) Specie name: specieName $specieName 2) Compartment name: compartmentName $compartmentName 3) Reaction parameter name: parameterName reactionName_parameterName

### parseAsSpecie

    protected boolean parseAsSpecie(java.lang.String token,
                                    java.lang.StringBuffer result)

### parseAsCompartment

    protected boolean parseAsCompartment(java.lang.String token,
                                         java.lang.StringBuffer result)

### parseAsParameter

    protected boolean parseAsParameter(java.lang.String token,
                                       java.lang.StringBuffer result,
                                       Node reaction)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.